com.bigdata.journal.AbstractJournal.file=/data/blazegraph.jnl
# Initial size of 200 MB
com.bigdata.journal.AbstractJournal.initialExtent=209715200

# Max size of 200 GB
com.bigdata.journal.AbstractJournal.maximumExtent=114748364800

# turn off automatic inference in the SAIL
com.bigdata.rdf.sail.truthMaintenance=false

# don't store justification chains, meaning retraction requires full manual 
# re-closure of the database
com.bigdata.rdf.store.AbstractTripleStore.justify=false

# Don't compute the closure
com.bigdata.rdf.store.DataLoader.closure=None

# turn off the statement identifiers feature for provenance
com.bigdata.rdf.store.AbstractTripleStore.statementIdentifiers=false
com.bigdata.rdf.store.AbstractTripleStore.textIndex=true
com.bigdata.btree.BTree.branchingFactor=256
com.bigdata.namespace.dbpedia_3_9.lex.TERM2ID.com.bigdata.btree.BTree.branchingFactor=800
com.bigdata.namespace.dbpedia_3_9.lex.ID2TERM.com.bigdata.btree.BTree.branchingFactor=800
com.bigdata.namespace.dbpedia_3_9.lex.BLOBS.com.bigdata.btree.BTree.branchingFactor=400
com.bigdata.namespace.dbpedia_3_9.spo.POS.com.bigdata.btree.BTree.branchingFactor=1024
com.bigdata.namespace.dbpedia_3_9.spo.SPO.com.bigdata.btree.BTree.branchingFactor=1024
com.bigdata.namespace.dbpedia_3_9.spo.OSP.com.bigdata.btree.BTree.branchingFactor=1024

# RWStore (scalable single machine backend)
com.bigdata.journal.AbstractJournal.bufferMode=DiskRW

